
import sys
from os import environ
from os import getcwd
import string

sys.path.append(environ["PYTHON_MODULE_PATH"])


import CompuCellSetup


sim,simthread = CompuCellSetup.getCoreSimulationObjects()
            
# add extra attributes here

pyAttributeAdder,dictAdder=CompuCellSetup.attachDictionaryToCells(sim)
 
           
CompuCellSetup.initializeSimulationObjects(sim,simthread)
# Definitions of additional Python-managed fields go here
        
#Add Python steppables here
steppableRegistry=CompuCellSetup.getSteppableRegistry()
        
from CellsortPythonSteppables import CellsortPythonSteppable
steppableInstance=CellsortPythonSteppable(sim,_frequency=10)
steppableRegistry.registerSteppable(steppableInstance)
        

from CellsortPythonSteppables import MitosisSteppable
instanceOfMitosisSteppable=MitosisSteppable(_simulator=sim,_frequency=10)
steppableRegistry.registerSteppable(instanceOfMitosisSteppable)



CompuCellSetup.mainLoop(sim,simthread,steppableRegistry)
        
        